Skip to content
Values

Current model-level values of a version

Scope: readSee also:Authentication ·Errors ·Pagination ·Rate limits
GET
/model-versions/{versionId}/values

Any member. One entry per field that has (or had) a value; value is null when it was cleared.

Authorization

apiKey
headerAuthorizationBearer <token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Path Parameters

versionId*string
Formatuuid

Response Body

The current values.

application/json
  1. response
items*array<>
links*array<>

Active evidence links of the target, per field.

registry*
target*
Example Request
curl -X GET 'https://example.com/api/v1/model-versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/values'
Example Response
{  "items": [    {      "checks": [        {          "check_key": "string",          "message": {            "de": "string",            "en": "string"          },          "result": "pass"        }      ],      "evidence": [        {          "access_tier": "public",          "filename": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "kind": "declaration_of_conformity",          "revision": 1,          "superseded": true,          "title": "string"        }      ],      "field_key": "string",      "measured_at": "2019-08-24T14:15:22Z",      "recorded_at": "2019-08-24T14:15:22Z",      "recorded_by": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "registry_version": "string",      "responsible": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "review_note": "string",      "review_status": "captured",      "reviewed_at": "2019-08-24T14:15:22Z",      "reviewed_by": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "revision": 1,      "source": "manual",      "superseded_at": "2019-08-24T14:15:22Z",      "unit": "string",      "value": null    }  ],  "links": [    {      "declared_value": null,      "evidence": {        "access_tier": "public",        "filename": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "declaration_of_conformity",        "revision": 1,        "superseded": true,        "title": "string"      },      "field_key": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "linked_at": "2019-08-24T14:15:22Z",      "linked_by": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      }    }  ],  "registry": {    "hash": "string",    "status": "seed",    "version": "string"  },  "target": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "model_version"  }}